<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>gimpversion: GIMP Base Library Reference Manual</title>
<meta name="generator" content="DocBook XSL Stylesheets V1.79.1">
<link rel="home" href="index.html" title="GIMP Base Library Reference Manual">
<link rel="up" href="pt01.html" title="Part I. GIMP Base Library">
<link rel="prev" href="libgimpbase-gimpbasetypes.html" title="gimpbasetypes">
<link rel="next" href="libgimpbase-gimplimits.html" title="gimplimits">
<meta name="generator" content="GTK-Doc V1.28 (XML mode)">
<link rel="stylesheet" href="style.css" type="text/css">
</head>
<body bgcolor="white" text="black" link="#0000FF" vlink="#840084" alink="#0000FF">
<table class="navigation" id="top" width="100%" summary="Navigation header" cellpadding="2" cellspacing="5"><tr valign="middle">
<td width="100%" align="left" class="shortcuts">
<a href="#" class="shortcut">Top</a><span id="nav_description">  <span class="dim">|</span> 
                  <a href="#libgimpbase-gimpversion.description" class="shortcut">Description</a></span>
</td>
<td><a accesskey="h" href="index.html"><img src="home.png" width="16" height="16" border="0" alt="Home"></a></td>
<td><a accesskey="u" href="pt01.html"><img src="up.png" width="16" height="16" border="0" alt="Up"></a></td>
<td><a accesskey="p" href="libgimpbase-gimpbasetypes.html"><img src="left.png" width="16" height="16" border="0" alt="Prev"></a></td>
<td><a accesskey="n" href="libgimpbase-gimplimits.html"><img src="right.png" width="16" height="16" border="0" alt="Next"></a></td>
</tr></table>
<div class="refentry">
<a name="libgimpbase-gimpversion"></a><div class="titlepage"></div>
<div class="refnamediv"><table width="100%"><tr>
<td valign="top">
<h2><span class="refentrytitle"><a name="libgimpbase-gimpversion.top_of_page"></a>gimpversion</span></h2>
<p>gimpversion — Macros and constants useful for determining
                    GIMP's version number and capabilities.</p>
</td>
<td class="gallery_image" valign="top" align="right"></td>
</tr></table></div>
<div class="refsect1">
<a name="libgimpbase-gimpversion.functions"></a><h2>Functions</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="functions_return">
<col class="functions_name">
</colgroup>
<tbody><tr>
<td class="define_keyword">#define</td>
<td class="function_name">
<a class="link" href="libgimpbase-gimpversion.html#GIMP-CHECK-VERSION:CAPS" title="GIMP_CHECK_VERSION()">GIMP_CHECK_VERSION</a><span class="c_punctuation">()</span>
</td>
</tr></tbody>
</table></div>
</div>
<div class="refsect1">
<a name="libgimpbase-gimpversion.other"></a><h2>Types and Values</h2>
<div class="informaltable"><table class="informaltable" width="100%" border="0">
<colgroup>
<col width="150px" class="name">
<col class="description">
</colgroup>
<tbody>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#GIMP-MAJOR-VERSION:CAPS" title="GIMP_MAJOR_VERSION">GIMP_MAJOR_VERSION</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#GIMP-MINOR-VERSION:CAPS" title="GIMP_MINOR_VERSION">GIMP_MINOR_VERSION</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#GIMP-MICRO-VERSION:CAPS" title="GIMP_MICRO_VERSION">GIMP_MICRO_VERSION</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#GIMP-VERSION:CAPS" title="GIMP_VERSION">GIMP_VERSION</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#GIMP-API-VERSION:CAPS" title="GIMP_API_VERSION">GIMP_API_VERSION</a></td>
</tr>
<tr>
<td class="define_keyword">#define</td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#GIMPVAR:CAPS" title="GIMPVAR">GIMPVAR</a></td>
</tr>
<tr>
<td class="variable_type">extern const guint </td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#gimp-major-version" title="gimp_major_version">gimp_major_version</a></td>
</tr>
<tr>
<td class="variable_type">extern const guint </td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#gimp-minor-version" title="gimp_minor_version">gimp_minor_version</a></td>
</tr>
<tr>
<td class="variable_type">extern const guint </td>
<td class="function_name"><a class="link" href="libgimpbase-gimpversion.html#gimp-micro-version" title="gimp_micro_version">gimp_micro_version</a></td>
</tr>
</tbody>
</table></div>
</div>
<div class="refsect1">
<a name="libgimpbase-gimpversion.description"></a><h2>Description</h2>
<p>Macros and constants useful for determining GIMP's version number and
capabilities.</p>
</div>
<div class="refsect1">
<a name="libgimpbase-gimpversion.functions_details"></a><h2>Functions</h2>
<div class="refsect2">
<a name="GIMP-CHECK-VERSION:CAPS"></a><h3>GIMP_CHECK_VERSION()</h3>
<pre class="programlisting">#define             GIMP_CHECK_VERSION(major, minor, micro)</pre>
</div>
</div>
<div class="refsect1">
<a name="libgimpbase-gimpversion.other_details"></a><h2>Types and Values</h2>
<div class="refsect2">
<a name="GIMP-MAJOR-VERSION:CAPS"></a><h3>GIMP_MAJOR_VERSION</h3>
<pre class="programlisting">#define GIMP_MAJOR_VERSION                              (2)
</pre>
<p>The major GIMP version number.</p>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-MINOR-VERSION:CAPS"></a><h3>GIMP_MINOR_VERSION</h3>
<pre class="programlisting">#define GIMP_MINOR_VERSION                              (10)
</pre>
<p>The minor GIMP version number.</p>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-MICRO-VERSION:CAPS"></a><h3>GIMP_MICRO_VERSION</h3>
<pre class="programlisting">#define GIMP_MICRO_VERSION                              (8)
</pre>
<p>The micro GIMP version number.</p>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-VERSION:CAPS"></a><h3>GIMP_VERSION</h3>
<pre class="programlisting">#define GIMP_VERSION                                    "2.10.8"
</pre>
<p>The GIMP version as a string.</p>
</div>
<hr>
<div class="refsect2">
<a name="GIMP-API-VERSION:CAPS"></a><h3>GIMP_API_VERSION</h3>
<pre class="programlisting">#define GIMP_API_VERSION                                "2.0"
</pre>
<p class="since">Since: <a class="link" href="api-index-2-2.html#api-index-2.2">2.2</a></p>
</div>
<hr>
<div class="refsect2">
<a name="GIMPVAR:CAPS"></a><h3>GIMPVAR</h3>
<pre class="programlisting">#    define GIMPVAR __declspec(dllexport)
</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-major-version"></a><h3>gimp_major_version</h3>
<pre class="programlisting">extern const guint gimp_major_version;
</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-minor-version"></a><h3>gimp_minor_version</h3>
<pre class="programlisting">extern const guint gimp_minor_version;
</pre>
</div>
<hr>
<div class="refsect2">
<a name="gimp-micro-version"></a><h3>gimp_micro_version</h3>
<pre class="programlisting">extern const guint gimp_micro_version;
</pre>
</div>
</div>
</div>
<div class="footer">
<hr>Generated by GTK-Doc V1.28</div>
</body>
</html>